001-007889

パッケージ版 Garoon

APIに関するSQLインジェクションの脆弱性

修正プログラム

           
種別
脆弱性
機能
  • お気に入り
  • SOAP API
再現バージョン
  • 3.7.0
  • 3.7.1
  • 3.7.2
改修バージョン
3.7.3
公開日
2013-12-20
更新日
2014-01-24

攻撃者にこの脆弱性を利用された場合、SQLコマンドを実行され、データの取得や改ざんなどの被害を引き起こされる可能性があります。

 

脆弱性の基本評価:

  • 攻撃前の認証要否(Au):単一 (攻撃前に認証(ログイン等)が必要である)
  • 機密性への影響(C):全面的(広い範囲の機密情報が参照可能である)
  • 完全性への影響(I) :全面的(広い範囲の情報が改ざん可能である)
  • 可用性への影響(A):全面的(システムを停止させることが可能である)

 

補足:


【サイボウズ株式会社 不具合情報公開サイト ご利用上の注意】
  1. お客様およびパートナー(以下、「お客様等」といいます。)は、 サイボウズが提供する製品またはサービスの不具合に関する情報の収集および 当該不具合の解消を目的とする場合においてのみ、 本規約に記載の条件の下、無償で本サイト上にて提供情報等を使用することができます。
  2. サイボウズは、提供情報等がお客様の要求を満足させるものであること、 正常に作動すること、瑕疵(いわゆるバグ、構造上の問題等を含む)が存していた場合に、 これが修正されること、のいずれも保証いたしません。
  3. サイボウズは、本サイトの利用の結果により、お客様等が何らかの損害を被ったとしても何ら責任を負いません。
詳細


【回避方法】

次のどちらかの方法で回避できます。

  • バージョン 3.7.3のガルーンにバージョンアップします。

  • バージョン 3.7.2のガルーンにバージョンアップ後、不具合を改修するためのパッチプログラムを適用します。
    パッチプログラムは次のページからダウンロードできます。
    パッチプログラムを適用する手順は、readme.txtを確認してください。

    ダウンロードURL:https://kb.cybozu.support/article/31409/#attachments

    • [Windows版] Garoon20131224Patch-3.7-sp2.zip
      サイズ:243 KB
      MD5:9FD6E80FE47C2D2A17AF47E7530A5B8C

    • [Linux版] Garoon20131224Patch-3.7-sp2.tar
      サイズ:260 KB
      MD5:E1039EDF30CF0DECA489765B10AA7AFB

    このパッチプログラムで改修できる不具合は、次の4件です。

 

 

------------------------------------------------------------
【更新履歴】

2014/01/24 改修バージョンの情報を追記しました。

関連記事